import { jsx as _jsx } from "react/jsx-runtime";
import ConnectedWallet from './ConnectedWallet';
import ConnectWallet from './ConnectWallet';
import { useAccount } from 'wagmi';
import useWebThreeAuth from '../useWebThreeAuth';
import Logout from './Logout';
export default function Wallet() {
    var isConnected = useAccount().isConnected;
    var webThreeAuthSigner = useWebThreeAuth().signer;
    if (webThreeAuthSigner) {
        return _jsx(Logout, {}, void 0);
    }
    else if (isConnected) {
        return _jsx(ConnectedWallet, {}, void 0);
    }
    else {
        return _jsx(ConnectWallet, {}, void 0);
    }
}
